%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-ClassAPI
Version:       1.07
Release:       1mamba
Summary:       Test::ClassAPI - Provides basic first-pass API testing for large class trees
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-ClassAPI-%{version}.tar.gz
License:       GPL, Artistic
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Test::CPAN::Meta)
#BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl(Test::Pod)
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
For many APIs with large numbers of classes, it can be very useful to be able to do a quick once-over to make sure that
classes, methods, and inheritance is correct, before doing more comprehensive testing. This module aims to provide such
a capability.

%prep
%setup -q -n Test-ClassAPI-%{version}


%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3pm.gz
%doc Changes LICENSE README

%changelog
* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.07-1mamba
- automatic version update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 1.06-1mamba
- package created by autospec
